<?php 
	include "../../conn.php";
	include "../../functions2.php";

	header('Content-Type: application/json; charset=utf-8');
	header('Strict-Transport-Security: max-age=31536000');
	header('Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept, Authorization');
	header('Access-Control-Allow-Credentials: true');
	$origin = isset($_SERVER['HTTP_ORIGIN']) ? $_SERVER['HTTP_ORIGIN'] : '';
	header('Access-Control-Allow-Origin: ' . $origin);
	header('vary: Origin');
	
	date_default_timezone_set("Asia/Kolkata");
	$shnunc = date("Y-m-d H:i:s");
	$res = [
		'code' => 11,
		'msg' => 'Method not allowed',
		'msgCode' => 12,
		'serviceNowTime' => $shnunc,
	];
	$shonubody = file_get_contents("php://input");
	$shonupost = json_decode($shonubody, true);
	if ($_SERVER['REQUEST_METHOD'] != 'GET') {
		if (isset($shonupost['bannerId']) && isset($shonupost['language']) && isset($shonupost['random']) && isset($shonupost['signature']) && isset($shonupost['timestamp'])) {
			$bannerId = htmlspecialchars(mysqli_real_escape_string($conn, $shonupost['bannerId']));
			$language = htmlspecialchars(mysqli_real_escape_string($conn, $shonupost['language']));
			$random = htmlspecialchars(mysqli_real_escape_string($conn, $shonupost['random']));
			$signature = htmlspecialchars(mysqli_real_escape_string($conn, $shonupost['signature']));
			$shonustr = '{"bannerId":'.$bannerId.',"language":'.$language.',"random":"'.$random.'"}';
			$shonusign = strtoupper(md5($shonustr));
			if($shonusign == $signature){
				$bearer = explode(" ", $_SERVER['HTTP_AUTHORIZATION']);
				$author = $bearer[1];				
				$is_jwt_valid = is_jwt_valid($author);
				$data_auth = json_decode($is_jwt_valid, 1);
				if($data_auth['status'] === 'Success') {
					$sesquery = "SELECT akshinak
					  FROM shonu_subjects
					  WHERE akshinak = '$author'";
					$sesresult=$conn->query($sesquery);
					$sesnum = mysqli_num_rows($sesresult);
					if($sesnum == 1){
						if($bannerId == 71){
							$data['title'] = 'Member Recharge Benefits';
							$data['img'] = '[{"Id":"17225024498060d979egil58","Url":"https://ossimg.bdg123456.com/BDGWin/banner/rechargebenifet.png"}]';
							$data['coverUrl'] = 'https://ossimg.bdg123456.com/BDGWin/banner/rechargebenifetposter.png';
							$data['jumpType'] = 3;
						}
						else if($bannerId == 53){
							$data['title'] = "Aviator Bonus\t";
							$data['img'] = '<p><img src="https://tirnga.danzio.shop/apiimages/BDGWin/banner/aviator.png" style=\"width: 750px;\"><br></p>';
							$data['coverUrl'] = 'https://tirnga.danzio.shop/apiimages/BDGWin/banner/banner4.png';
							$data['jumpType'] = 1;
						}
						else if($bannerId == 59){
							$data['title'] = 'Wingo Win Streak Bonus';
							$data['img'] = '<p><img src="https://tirnga.danzio.shop/apiimages/BDGWin/banner/spin.png" style=\"width: 750px;\"><br></p>';
							$data['coverUrl'] = 'https://tirnga.danzio.shop/apiimages/BDGWin/banner/banner6.png';
							$data['jumpType'] = 1;
						}
						else if($bannerId == 47){
							$data['title'] = "Social Media Creative Video\t";
							$data['img'] = '<p><img src="https://tirnga.danzio.shop/apiimages/BDGWin/banner/media.png" style=\"width: 750px;\"><br></p>';
							$data['coverUrl'] = 'https://tirnga.danzio.shop/apiimages/BDGWin/banner/banner5.png';
							$data['jumpType'] = 1;
						}
						else if($bannerId == 66){
							$data['title'] = "\t";
							$data['img'] = '<p><img src="" style="width: 658px;"><br></p>';
							$data['coverUrl'] = 'https://tirnga.danzio.shop/apiimages/BDGWin/banner/info.png';
							$data['jumpType'] = 1;
						}
						
						$res['data'] = $data;
						$res['code'] = 0;
						$res['msg'] = 'Succeed';
						$res['msgCode'] = 0;
						http_response_code(200);
						echo json_encode($res);			
					}
				}
			}
			else{
				$res['code'] = 5;
				$res['msg'] = 'Wrong signature';
				$res['msgCode'] = 3;
				http_response_code(200);
				echo json_encode($res);
			}
		}
		else{
			$res['code'] = 7;
			$res['msg'] = 'Param is Invalid';
			$res['msgCode'] = 6;
			http_response_code(200);
			echo json_encode($res);
		}		
	} else {		
		http_response_code(405);
		echo json_encode($res);
	}	
?>